local JjcLadderLogic = require("jjcLadder.JjcLadderLogic")

function CG_JJC_LADDER_QUERY(human)
	JjcLadderLogic.query(human)
end

function CG_JJC_LADDER_COMBAT_ONEKEY(human)
	JjcLadderLogic.combatOneKey(human)
end

function CG_JJC_LADDER_BUYCNT(human)
	JjcLadderLogic.buyCnt(human)
end

function CG_JJC_LADDER_REFRESH(human)
	JjcLadderLogic.refresh(human)
end

function CG_JJC_LADDER_MOBAI_QUERY(human)
	JjcLadderLogic.mobaiQuery(human)
end

function CG_JJC_LADDER_MOBAI(human, msg)
	JjcLadderLogic.mobai(human, msg.rank)
end

function CG_JJC_LADDER_BOARD(human)
	JjcLadderLogic.boardQuery(human)
end

function CG_JJC_LADDER_REWARD_QUERY(human)
	JjcLadderLogic.queryReward(human)
end

function CG_JJC_LADDER_LOG(human)
	JjcLadderLogic.logQuery(human)
end

function CG_JJC_LADDER_REPEAT_VIDEO(human, msg)
	JjcLadderLogic.repeatVideo(human, msg.videoUuid)
end